hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From lars hofhansl <la...@apache.org>
Subject 0.94 and JDK7
Date Sat, 11 Jan 2014 06:34:46 GMT
Over the course of 0.94.16 I have upgraded junit to 4.11 for 0.94 (this was done for 0.96 and
later a while ago).
With that in place (and a few test fixes, mostly in tests that depended on the relative ordering
in which tests are run)
the testsuite passes on JDK7 as reliable as it does on JDK6.

I currently have Jenkins builds for both JDK6 and JDK7 that are triggered for each checkin,
I'll keep both running for a while; eventually I am planning to retire the JDK6 Jenkins.

At Salesforce we use HBase 0.94 exclusively with JDK7 and have not seen any issue (at least
noen related to JDK7).

TL;DR: 0.94 should be safe to use with JDK7.

-- Lars
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message